<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class PersonalAccountTypeMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $user = auth()->user();
        if($user->type != "personal") { 
            $smg = __("You don't have access in this url");
            return redirect()->back()->with(['warning' => [$smg]]);
        }
        return $next($request);
    }
}
