<?php

namespace Database\Seeders\Admin;

use App\Models\Frontend\Announcement;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class AnnouncementSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $announcements = array(
            array('id' => '1','announcement_category_id' => '1','slug' => 'nfc-in-everyday-life-beyond-payments-innovative-applications-and-future-prospects','data' => '{"language":{"en":{"title":"Empowering Financial Inclusion: The Role of Digital Wallets in Bridging the Gap","description":"<p><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">Access to financial services is a fundamental right that remains out of reach for millions of people around the world. However, digital wallets are playing a crucial role in bridging this gap and empowering underserved populations with greater financial inclusion. In this blog, we\\u2019ll explore how digital wallets are democratizing access to financial services by providing a convenient and affordable way for individuals to manage their money, regardless of their location or socioeconomic status. From enabling mobile banking in remote areas to facilitating microtransactions for small businesses, digital wallets are breaking down barriers and opening up new opportunities for economic participation and empowerment. We\\u2019ll discuss the impact of digital wallets on financial inclusion initiatives and the potential they hold for creating a more equitable and inclusive global economy.<\\/span><\\/p>","tags":["Advanced Tips","Walletium Features","Developer","Customer Support"]},"es":{"title":"Potenciar la inclusi\\u00f3n financiera: el papel de las carteras digitales para cerrar la brecha","description":"<p><strong>El acceso a los servicios financieros es un derecho fundamental que sigue fuera del alcance de millones de personas en todo el mundo. Sin embargo, las billeteras digitales est\\u00e1n desempe\\u00f1ando un papel crucial para cerrar esta brecha y empoderar a las poblaciones desatendidas con una mayor inclusi\\u00f3n financiera. En este blog, exploraremos c\\u00f3mo las billeteras digitales est\\u00e1n democratizando el acceso a los servicios financieros al brindar una forma conveniente y asequible para que las personas administren su dinero, independientemente de su ubicaci\\u00f3n o nivel socioecon\\u00f3mico. Desde permitir la banca m\\u00f3vil en \\u00e1reas remotas hasta facilitar microtransacciones para peque\\u00f1as empresas, las billeteras digitales est\\u00e1n derribando barreras y abriendo nuevas oportunidades para la participaci\\u00f3n y el empoderamiento econ\\u00f3micos. Discutiremos el impacto de las billeteras digitales en las iniciativas de inclusi\\u00f3n financiera y el potencial que tienen para crear una econom\\u00eda global m\\u00e1s equitativa e inclusiva.<\\/strong><\\/p>"},"ar":{"title":"\\u062a\\u0645\\u0643\\u064a\\u0646 \\u0627\\u0644\\u0634\\u0645\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a: \\u062f\\u0648\\u0631 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0641\\u064a \\u0633\\u062f \\u0627\\u0644\\u0641\\u062c\\u0648\\u0629","description":"<p>\\u064a\\u0639\\u062f \\u0627\\u0644\\u0648\\u0635\\u0648\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629 \\u062d\\u0642\\u064b\\u0627 \\u0623\\u0633\\u0627\\u0633\\u064a\\u064b\\u0627 \\u0644\\u0627 \\u064a\\u0632\\u0627\\u0644 \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0645\\u062a\\u0646\\u0627\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0644\\u0627\\u064a\\u064a\\u0646 \\u0645\\u0646 \\u0627\\u0644\\u0623\\u0634\\u062e\\u0627\\u0635 \\u062d\\u0648\\u0644 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643\\u060c \\u062a\\u0644\\u0639\\u0628 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u062f\\u0648\\u0631\\u064b\\u0627 \\u062d\\u0627\\u0633\\u0645\\u064b\\u0627 \\u0641\\u064a \\u0633\\u062f \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0641\\u062c\\u0648\\u0629 \\u0648\\u062a\\u0645\\u0643\\u064a\\u0646 \\u0627\\u0644\\u0633\\u0643\\u0627\\u0646 \\u0627\\u0644\\u0645\\u062d\\u0631\\u0648\\u0645\\u064a\\u0646 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0642\\u062f\\u0631 \\u0623\\u0643\\u0628\\u0631 \\u0645\\u0646 \\u0627\\u0644\\u0634\\u0645\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a. \\u0641\\u064a \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062f\\u0648\\u0646\\u0629\\u060c \\u0633\\u0646\\u0633\\u062a\\u0643\\u0634\\u0641 \\u0643\\u064a\\u0641 \\u062a\\u0639\\u0645\\u0644 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0625\\u0636\\u0641\\u0627\\u0621 \\u0627\\u0644\\u0637\\u0627\\u0628\\u0639 \\u0627\\u0644\\u062f\\u064a\\u0645\\u0642\\u0631\\u0627\\u0637\\u064a \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0648\\u0635\\u0648\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u062a\\u0648\\u0641\\u064a\\u0631 \\u0637\\u0631\\u064a\\u0642\\u0629 \\u0645\\u0631\\u064a\\u062d\\u0629 \\u0648\\u0628\\u0623\\u0633\\u0639\\u0627\\u0631 \\u0645\\u0639\\u0642\\u0648\\u0644\\u0629 \\u0644\\u0644\\u0623\\u0641\\u0631\\u0627\\u062f \\u0644\\u0625\\u062f\\u0627\\u0631\\u0629 \\u0623\\u0645\\u0648\\u0627\\u0644\\u0647\\u0645\\u060c \\u0628\\u063a\\u0636 \\u0627\\u0644\\u0646\\u0638\\u0631 \\u0639\\u0646 \\u0645\\u0648\\u0642\\u0639\\u0647\\u0645 \\u0623\\u0648 \\u062d\\u0627\\u0644\\u062a\\u0647\\u0645 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\\u0629 \\u0648\\u0627\\u0644\\u0627\\u0642\\u062a\\u0635\\u0627\\u062f\\u064a\\u0629. \\u0641\\u0645\\u0646 \\u062a\\u0645\\u0643\\u064a\\u0646 \\u0627\\u0644\\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0645\\u0635\\u0631\\u0641\\u064a\\u0629 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0647\\u0627\\u062a\\u0641 \\u0627\\u0644\\u0645\\u062d\\u0645\\u0648\\u0644 \\u0641\\u064a \\u0627\\u0644\\u0645\\u0646\\u0627\\u0637\\u0642 \\u0627\\u0644\\u0646\\u0627\\u0626\\u064a\\u0629 \\u0625\\u0644\\u0649 \\u062a\\u0633\\u0647\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0627\\u0644\\u0635\\u063a\\u064a\\u0631\\u0629 \\u0644\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0627\\u0644\\u0635\\u063a\\u064a\\u0631\\u0629\\u060c \\u062a\\u0639\\u0645\\u0644 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0643\\u0633\\u0631 \\u0627\\u0644\\u062d\\u0648\\u0627\\u062c\\u0632 \\u0648\\u0641\\u062a\\u062d \\u0641\\u0631\\u0635 \\u062c\\u062f\\u064a\\u062f\\u0629 \\u0644\\u0644\\u0645\\u0634\\u0627\\u0631\\u0643\\u0629 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0635\\u0627\\u062f\\u064a\\u0629 \\u0648\\u0627\\u0644\\u062a\\u0645\\u0643\\u064a\\u0646. \\u0633\\u0646\\u0646\\u0627\\u0642\\u0634 \\u062a\\u0623\\u062b\\u064a\\u0631 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0628\\u0627\\u062f\\u0631\\u0627\\u062a \\u0627\\u0644\\u0634\\u0645\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a \\u0648\\u0627\\u0644\\u0625\\u0645\\u0643\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u062d\\u0645\\u0644\\u0647\\u0627 \\u0644\\u0625\\u0646\\u0634\\u0627\\u0621 \\u0627\\u0642\\u062a\\u0635\\u0627\\u062f \\u0639\\u0627\\u0644\\u0645\\u064a \\u0623\\u0643\\u062b\\u0631 \\u0625\\u0646\\u0635\\u0627\\u0641\\u064b\\u0627 \\u0648\\u0634\\u0645\\u0648\\u0644\\u0627\\u064b.<\\/p>"}},"image":"0c424d7e-0280-4430-a3fd-45713f9454d7.webp"}','status' => '1','created_at' => '2023-12-25 09:47:16','updated_at' => '2024-04-04 09:32:19'),
            array('id' => '2','announcement_category_id' => '2','slug' => 'top-tips-and-tricks-for-financial-success','data' => '{"language":{"en":{"title":"The Rise of Contactless Payments: Why Businesses Are Embracing Digital Wallets.","description":"<p><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">As consumers continue to prioritize convenience and safety in their purchasing habits, businesses are adapting by embracing contactless payment methods. Digital wallets have emerged as a preferred choice for both consumers and businesses alike, offering a secure and efficient way to conduct transactions without the need for physical contact. In this blog, we\\u2019ll explore the reasons behind the rise of contactless payments and the advantages they offer for businesses, including increased transaction speed, enhanced security, and improved customer experience. From small retailers to global corporations, businesses of all sizes are recognizing the value of digital wallets in meeting the evolving needs of their customers and driving growth in an increasingly digital marketplace.<\\/span><\\/p>","tags":["Advanced Tips","Developer","Customer Support"]},"es":{"title":"El auge de los pagos sin contacto: por qu\\u00e9 las empresas est\\u00e1n adoptando las billeteras digitales","description":"<p>A medida que los consumidores siguen priorizando la comodidad y la seguridad en sus h\\u00e1bitos de compra, las empresas se est\\u00e1n adaptando adoptando m\\u00e9todos de pago sin contacto. Las billeteras digitales se han convertido en la opci\\u00f3n preferida tanto para los consumidores como para las empresas, ya que ofrecen una forma segura y eficiente de realizar transacciones sin necesidad de contacto f\\u00edsico. En este blog, exploraremos las razones detr\\u00e1s del aumento de los pagos sin contacto y las ventajas que ofrecen para las empresas, incluida una mayor velocidad de las transacciones, una mayor seguridad y una mejor experiencia del cliente. Desde peque\\u00f1os minoristas hasta corporaciones globales, empresas de todos los tama\\u00f1os est\\u00e1n reconociendo el valor de las billeteras digitales para satisfacer las necesidades cambiantes de sus clientes e impulsar el crecimiento en un mercado cada vez m\\u00e1s digital.<\\/p>"},"ar":{"title":"\\u0638\\u0647\\u0648\\u0631 \\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u063a\\u064a\\u0631 \\u0627\\u0644\\u062a\\u0644\\u0627\\u0645\\u0633\\u064a\\u0629: \\u0644\\u0645\\u0627\\u0630\\u0627 \\u062a\\u062a\\u0628\\u0646\\u0649 \\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629","description":"<p>\\u0648\\u0645\\u0639 \\u0627\\u0633\\u062a\\u0645\\u0631\\u0627\\u0631 \\u0627\\u0644\\u0645\\u0633\\u062a\\u0647\\u0644\\u0643\\u064a\\u0646 \\u0641\\u064a \\u0625\\u0639\\u0637\\u0627\\u0621 \\u0627\\u0644\\u0623\\u0648\\u0644\\u0648\\u064a\\u0629 \\u0644\\u0644\\u0631\\u0627\\u062d\\u0629 \\u0648\\u0627\\u0644\\u0633\\u0644\\u0627\\u0645\\u0629 \\u0641\\u064a \\u0639\\u0627\\u062f\\u0627\\u062a\\u0647\\u0645 \\u0627\\u0644\\u0634\\u0631\\u0627\\u0626\\u064a\\u0629\\u060c \\u062a\\u062a\\u0643\\u064a\\u0641 \\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u062a\\u0628\\u0646\\u064a \\u0637\\u0631\\u0642 \\u0627\\u0644\\u062f\\u0641\\u0639 \\u063a\\u064a\\u0631 \\u0627\\u0644\\u062a\\u0644\\u0627\\u0645\\u0633\\u064a\\u0629. \\u0628\\u0631\\u0632\\u062a \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0643\\u062e\\u064a\\u0627\\u0631 \\u0645\\u0641\\u0636\\u0644 \\u0644\\u0643\\u0644 \\u0645\\u0646 \\u0627\\u0644\\u0645\\u0633\\u062a\\u0647\\u0644\\u0643\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0639\\u0644\\u0649 \\u062d\\u062f \\u0633\\u0648\\u0627\\u0621\\u060c \\u062d\\u064a\\u062b \\u062a\\u0648\\u0641\\u0631 \\u0637\\u0631\\u064a\\u0642\\u0629 \\u0622\\u0645\\u0646\\u0629 \\u0648\\u0641\\u0639\\u0627\\u0644\\u0629 \\u0644\\u0625\\u062c\\u0631\\u0627\\u0621 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u062f\\u0648\\u0646 \\u0627\\u0644\\u062d\\u0627\\u062c\\u0629 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0627\\u0644\\u062c\\u0633\\u062f\\u064a. \\u0641\\u064a \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062f\\u0648\\u0646\\u0629\\u060c \\u0633\\u0646\\u0633\\u062a\\u0643\\u0634\\u0641 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0627\\u0628 \\u0627\\u0644\\u0643\\u0627\\u0645\\u0646\\u0629 \\u0648\\u0631\\u0627\\u0621 \\u0638\\u0647\\u0648\\u0631 \\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u063a\\u064a\\u0631 \\u0627\\u0644\\u062a\\u0644\\u0627\\u0645\\u0633\\u064a\\u0629 \\u0648\\u0627\\u0644\\u0645\\u0632\\u0627\\u064a\\u0627 \\u0627\\u0644\\u062a\\u064a \\u062a\\u0642\\u062f\\u0645\\u0647\\u0627 \\u0644\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a\\u060c \\u0628\\u0645\\u0627 \\u0641\\u064a \\u0630\\u0644\\u0643 \\u0632\\u064a\\u0627\\u062f\\u0629 \\u0633\\u0631\\u0639\\u0629 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0648\\u062a\\u0639\\u0632\\u064a\\u0632 \\u0627\\u0644\\u0623\\u0645\\u0627\\u0646 \\u0648\\u062a\\u062d\\u0633\\u064a\\u0646 \\u062a\\u062c\\u0631\\u0628\\u0629 \\u0627\\u0644\\u0639\\u0645\\u0644\\u0627\\u0621. \\u0645\\u0646 \\u062a\\u062c\\u0627\\u0631 \\u0627\\u0644\\u062a\\u062c\\u0632\\u0626\\u0629 \\u0627\\u0644\\u0635\\u063a\\u0627\\u0631 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645\\u064a\\u0629\\u060c \\u062a\\u062f\\u0631\\u0643 \\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0628\\u062c\\u0645\\u064a\\u0639 \\u0623\\u062d\\u062c\\u0627\\u0645\\u0647\\u0627 \\u0642\\u064a\\u0645\\u0629 \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0641\\u064a \\u062a\\u0644\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0627\\u062d\\u062a\\u064a\\u0627\\u062c\\u0627\\u062a \\u0627\\u0644\\u0645\\u062a\\u0637\\u0648\\u0631\\u0629 \\u0644\\u0639\\u0645\\u0644\\u0627\\u0626\\u0647\\u0627 \\u0648\\u062f\\u0641\\u0639 \\u0627\\u0644\\u0646\\u0645\\u0648 \\u0641\\u064a \\u0633\\u0648\\u0642 \\u0631\\u0642\\u0645\\u064a\\u0629 \\u0645\\u062a\\u0632\\u0627\\u064a\\u062f\\u0629.<\\/p>"}},"image":"47f2fd2d-2410-4c9a-8d7b-de0efa79771e.webp"}','status' => '1','created_at' => '2023-12-25 09:51:38','updated_at' => '2024-04-04 09:30:55'),
            array('id' => '3','announcement_category_id' => '3','slug' => 'your-money-management-with-walletium','data' => '{"language":{"en":{"title":"Unlocking Financial Freedom: How Digital Wallets Are Revolutionizing Money Management","description":"<p><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">In an era defined by digital innovation, traditional banking methods are increasingly being replaced by more efficient and convenient solutions. Digital wallets have emerged as one of the most revolutionary advancements in the financial landscape, offering users a seamless and secure way to manage their money. With features like seamless transactions, secure payment processing, and multi-currency support, digital wallets have transformed the way individuals and businesses conduct financial transactions. This blog explores the myriad benefits of digital wallets, from their ability to simplify payment processes to their role in expanding financial access for underserved populations. We\\u2019ll delve into the key features of digital wallets, highlight their impact on financial inclusion, and discuss the future of money management in an increasingly digital world.<\\/span><\\/p>"},"es":{"title":"Liberando la libertad financiera: c\\u00f3mo las billeteras digitales est\\u00e1n revolucionando la gesti\\u00f3n del dinero","description":"<p>En una era definida por la innovaci\\u00f3n digital, los m\\u00e9todos bancarios tradicionales est\\u00e1n siendo reemplazados cada vez m\\u00e1s por soluciones m\\u00e1s eficientes y convenientes. Las billeteras digitales se han convertido en uno de los avances m\\u00e1s revolucionarios en el panorama financiero, al ofrecer a los usuarios una forma segura y sencilla de administrar su dinero. Con caracter\\u00edsticas como transacciones fluidas, procesamiento de pagos seguro y soporte para m\\u00faltiples monedas, las billeteras digitales han transformado la forma en que las personas y las empresas realizan transacciones financieras. Este blog explora los innumerables beneficios de las billeteras digitales, desde su capacidad para simplificar los procesos de pago hasta su papel en la ampliaci\\u00f3n del acceso financiero para las poblaciones desatendidas. Profundizaremos en las caracter\\u00edsticas clave de las billeteras digitales, resaltaremos su impacto en la inclusi\\u00f3n financiera y discutiremos el futuro de la administraci\\u00f3n del dinero en un mundo cada vez m\\u00e1s digital.<\\/p>"},"ar":{"title":"\\u0625\\u0637\\u0644\\u0627\\u0642 \\u0627\\u0644\\u062d\\u0631\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629: \\u0643\\u064a\\u0641 \\u062a\\u064f\\u062d\\u062f\\u062b \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u062b\\u0648\\u0631\\u0629 \\u0641\\u064a \\u0625\\u062f\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644","description":"<p>\\u0648\\u0641\\u064a \\u0639\\u0635\\u0631 \\u064a\\u062a\\u0633\\u0645 \\u0628\\u0627\\u0644\\u0627\\u0628\\u062a\\u0643\\u0627\\u0631 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u060c \\u064a\\u062a\\u0645 \\u0627\\u0633\\u062a\\u0628\\u062f\\u0627\\u0644 \\u0627\\u0644\\u0623\\u0633\\u0627\\u0644\\u064a\\u0628 \\u0627\\u0644\\u0645\\u0635\\u0631\\u0641\\u064a\\u0629 \\u0627\\u0644\\u062a\\u0642\\u0644\\u064a\\u062f\\u064a\\u0629 \\u0628\\u0634\\u0643\\u0644 \\u0645\\u062a\\u0632\\u0627\\u064a\\u062f \\u0628\\u062d\\u0644\\u0648\\u0644 \\u0623\\u0643\\u062b\\u0631 \\u0643\\u0641\\u0627\\u0621\\u0629 \\u0648\\u0645\\u0644\\u0627\\u0621\\u0645\\u0629. \\u0628\\u0631\\u0632\\u062a \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u0643\\u0648\\u0627\\u062d\\u062f\\u0629 \\u0645\\u0646 \\u0623\\u0643\\u062b\\u0631 \\u0627\\u0644\\u062a\\u0637\\u0648\\u0631\\u0627\\u062a \\u062b\\u0648\\u0631\\u064a\\u0629 \\u0641\\u064a \\u0627\\u0644\\u0645\\u0634\\u0647\\u062f \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u060c \\u062d\\u064a\\u062b \\u062a\\u0648\\u0641\\u0631 \\u0644\\u0644\\u0645\\u0633\\u062a\\u062e\\u062f\\u0645\\u064a\\u0646 \\u0637\\u0631\\u064a\\u0642\\u0629 \\u0633\\u0644\\u0633\\u0629 \\u0648\\u0622\\u0645\\u0646\\u0629 \\u0644\\u0625\\u062f\\u0627\\u0631\\u0629 \\u0623\\u0645\\u0648\\u0627\\u0644\\u0647\\u0645. \\u0628\\u0641\\u0636\\u0644 \\u0645\\u064a\\u0632\\u0627\\u062a \\u0645\\u062b\\u0644 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0627\\u0644\\u0633\\u0644\\u0633\\u0629 \\u0648\\u0645\\u0639\\u0627\\u0644\\u062c\\u0629 \\u0627\\u0644\\u062f\\u0641\\u0639 \\u0627\\u0644\\u0622\\u0645\\u0646\\u0629 \\u0648\\u0627\\u0644\\u062f\\u0639\\u0645 \\u0645\\u062a\\u0639\\u062f\\u062f \\u0627\\u0644\\u0639\\u0645\\u0644\\u0627\\u062a\\u060c \\u0623\\u062d\\u062f\\u062b\\u062a \\u0627\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629 \\u062a\\u062d\\u0648\\u0644\\u064b\\u0627 \\u0641\\u064a \\u0627\\u0644\\u0637\\u0631\\u064a\\u0642\\u0629 \\u0627\\u0644\\u062a\\u064a \\u064a\\u062c\\u0631\\u064a \\u0628\\u0647\\u0627 \\u0627\\u0644\\u0623\\u0641\\u0631\\u0627\\u062f \\u0648\\u0627\\u0644\\u0634\\u0631\\u0643\\u0627\\u062a \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629. \\u062a\\u0633\\u062a\\u0643\\u0634\\u0641 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062f\\u0648\\u0646\\u0629 \\u0627\\u0644\\u0641\\u0648\\u0627\\u0626\\u062f \\u0627\\u0644\\u062a\\u064a \\u0644\\u0627 \\u062a\\u0639\\u062f \\u0648\\u0644\\u0627 \\u062a\\u062d\\u0635\\u0649 \\u0644\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\u060c \\u0628\\u062f\\u0621\\u064b\\u0627 \\u0645\\u0646 \\u0642\\u062f\\u0631\\u062a\\u0647\\u0627 \\u0639\\u0644\\u0649 \\u062a\\u0628\\u0633\\u064a\\u0637 \\u0639\\u0645\\u0644\\u064a\\u0627\\u062a \\u0627\\u0644\\u062f\\u0641\\u0639 \\u0625\\u0644\\u0649 \\u062f\\u0648\\u0631\\u0647\\u0627 \\u0641\\u064a \\u062a\\u0648\\u0633\\u064a\\u0639 \\u0646\\u0637\\u0627\\u0642 \\u0627\\u0644\\u0648\\u0635\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a \\u0644\\u0644\\u0633\\u0643\\u0627\\u0646 \\u0627\\u0644\\u0645\\u062d\\u0631\\u0648\\u0645\\u064a\\u0646. \\u0633\\u0646\\u062a\\u0639\\u0645\\u0642 \\u0641\\u064a \\u0627\\u0644\\u0633\\u0645\\u0627\\u062a \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 \\u0644\\u0644\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\u060c \\u0648\\u0646\\u0633\\u0644\\u0637 \\u0627\\u0644\\u0636\\u0648\\u0621 \\u0639\\u0644\\u0649 \\u062a\\u0623\\u062b\\u064a\\u0631\\u0647\\u0627 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0634\\u0645\\u0648\\u0644 \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u060c \\u0648\\u0646\\u0646\\u0627\\u0642\\u0634 \\u0645\\u0633\\u062a\\u0642\\u0628\\u0644 \\u0625\\u062f\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644 \\u0641\\u064a \\u0639\\u0627\\u0644\\u0645 \\u0631\\u0642\\u0645\\u064a \\u0645\\u062a\\u0632\\u0627\\u064a\\u062f.<\\/p>"}},"image":"cdfba9ad-ff2d-48ba-b17b-7715bd1f2cfe.webp"}','status' => '1','created_at' => '2023-12-25 09:53:04','updated_at' => '2024-04-04 09:29:26')
          );
        Announcement::insert($announcements);
    }
}
