<?php

namespace Database\Seeders\Admin;

use App\Constants\GlobalConst;
use Illuminate\Database\Seeder;
use App\Models\Admin\UsefulLink;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class UsefulLinkSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $useful_links = array(
            array('id' => '1','type' => 'PRIVACY_POLICY','title' => '{"language":{"en":{"title":"Privacy Policy"},"es":{"title":"pol\\u00edtica de privacidad"},"ar":{"title":"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629"}}}','slug' => 'privacy-policy','url' => 'privacy-policy','content' => '{"language":{"en":{"content":"<p><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">At Walletium, we are committed to protecting the privacy and security of our users\\u2019 personal information. This Privacy Policy outlines how we collect, use, disclose, and protect the information you provide to us when using our services.**1. Information We Collect:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Personal Information: We may collect personal information such as your name, email address, phone number, and billing information when you sign up for an account or use our services.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Usage Information: We may collect information about how you interact with our platform, including your transaction history, device information, and IP address.**2. How We Use Your Information:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- To Provide Services: We use your information to provide and improve our services, process transactions, and respond to your inquiries.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- To Personalize User Experience: We may use your information to personalize your experience, including offering tailored promotions and recommendations.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- To Ensure Security: We use your information to ensure the security of our platform, including detecting and preventing fraudulent activities.**3. Information Sharing and Disclosure:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Third-Party Service Providers: We may share your information with third-party service providers who assist us in providing our services, such as payment processors and customer support providers.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Legal Compliance: We may disclose your information to comply with legal obligations, enforce our policies, or protect the rights, property, or safety of Walletium or others.**4. Data Security:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- We implement industry-standard security measures to protect your information from unauthorized access, disclosure, alteration, or destruction.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Despite our efforts, no security measures are entirely foolproof, and we cannot guarantee the absolute security of your information.**5. Your Choices and Rights:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- You have the right to access, correct, or delete your personal information. You may also choose to opt-out of certain communications or services.<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- Please contact us if you have any questions or concerns about your privacy rights or how your information is being handled.**6. Updates to This Privacy Policy:**<\\/span><br><span style=\\"background-color:rgb(248,248,248);color:rgb(29,28,29);\\">&nbsp;&nbsp;&nbsp;- We may update this Privacy Policy from time to time to reflect changes in our practices or legal requirements. We will notify you of any material changes to this Policy by posting the updated version on our website or through other appropriate channels.By using Walletium, you consent to the collection, use, and disclosure of your information as described in this Privacy Policy. If you have any questions or concerns about our Privacy Policy or practices, please contact us at [email address].<\\/span><\\/p>"},"es":{"content":"<p>En Walletium, estamos comprometidos a proteger la privacidad y seguridad de la informaci\\u00f3n personal de nuestros usuarios. Esta Pol\\u00edtica de Privacidad describe c\\u00f3mo recopilamos, usamos, divulgamos y protegemos la informaci\\u00f3n que usted nos proporciona cuando utiliza nuestros servicios.**1. Informaci\\u00f3n que recopilamos:**<br>&nbsp;- Informaci\\u00f3n personal: podemos recopilar informaci\\u00f3n personal como su nombre, direcci\\u00f3n de correo electr\\u00f3nico, n\\u00famero de tel\\u00e9fono e informaci\\u00f3n de facturaci\\u00f3n cuando se registra para obtener una cuenta o utiliza nuestros servicios.<br>&nbsp;- Informaci\\u00f3n de uso: podemos recopilar informaci\\u00f3n sobre c\\u00f3mo interact\\u00faa con nuestra plataforma, incluido su historial de transacciones, informaci\\u00f3n del dispositivo y direcci\\u00f3n IP.**2. C\\u00f3mo utilizamos su informaci\\u00f3n:**<br>&nbsp;- Para brindar servicios: utilizamos su informaci\\u00f3n para brindar y mejorar nuestros servicios, procesar transacciones y responder a sus consultas.<br>&nbsp;- Para personalizar la experiencia del usuario: podemos utilizar su informaci\\u00f3n para personalizar su experiencia, incluida la oferta de promociones y recomendaciones personalizadas.<br>&nbsp;- Para garantizar la seguridad: utilizamos su informaci\\u00f3n para garantizar la seguridad de nuestra plataforma, incluida la detecci\\u00f3n y prevenci\\u00f3n de actividades fraudulentas.**3. Intercambio y divulgaci\\u00f3n de informaci\\u00f3n:**<br>&nbsp;- Proveedores de servicios externos: podemos compartir su informaci\\u00f3n con proveedores de servicios externos que nos ayudan a brindar nuestros servicios, como procesadores de pagos y proveedores de atenci\\u00f3n al cliente.<br>&nbsp;- Cumplimiento legal: podemos divulgar su informaci\\u00f3n para cumplir con obligaciones legales, hacer cumplir nuestras pol\\u00edticas o proteger los derechos, la propiedad o la seguridad de Walletium u otros.**4. Seguridad de datos:**<br>&nbsp;- Implementamos medidas de seguridad est\\u00e1ndar de la industria para proteger su informaci\\u00f3n contra acceso no autorizado, divulgaci\\u00f3n, alteraci\\u00f3n o destrucci\\u00f3n.<br>&nbsp;- A pesar de nuestros esfuerzos, ninguna medida de seguridad es completamente infalible y no podemos garantizar la seguridad absoluta de su informaci\\u00f3n.**5. Sus opciones y derechos:**<br>&nbsp;- Tiene derecho a acceder, rectificar o eliminar su informaci\\u00f3n personal. Tambi\\u00e9n puede optar por no recibir ciertas comunicaciones o servicios.<br>&nbsp;- Comun\\u00edquese con nosotros si tiene alguna pregunta o inquietud sobre sus derechos de privacidad o c\\u00f3mo se maneja su informaci\\u00f3n.**6. Actualizaciones de esta pol\\u00edtica de privacidad:**<br>&nbsp;- Podemos actualizar esta Pol\\u00edtica de Privacidad de vez en cuando para reflejar cambios en nuestras pr\\u00e1cticas o requisitos legales. Le notificaremos cualquier cambio sustancial a esta Pol\\u00edtica publicando la versi\\u00f3n actualizada en nuestro sitio web o a trav\\u00e9s de otros canales apropiados. Al utilizar Walletium, usted acepta la recopilaci\\u00f3n, el uso y la divulgaci\\u00f3n de su informaci\\u00f3n como se describe en esta Pol\\u00edtica de Privacidad. Si tiene alguna pregunta o inquietud sobre nuestra Pol\\u00edtica o pr\\u00e1cticas de privacidad, comun\\u00edquese con nosotros a [direcci\\u00f3n de correo electr\\u00f3nico].<\\/p>"},"ar":{"content":"<p>\\u0641\\u064a Walletium\\u060c \\u0646\\u062d\\u0646 \\u0645\\u0644\\u062a\\u0632\\u0645\\u0648\\u0646 \\u0628\\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0648\\u0623\\u0645\\u0646 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u0634\\u062e\\u0635\\u064a\\u0629 \\u0644\\u0645\\u0633\\u062a\\u062e\\u062f\\u0645\\u064a\\u0646\\u0627. \\u062a\\u0648\\u0636\\u062d \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0643\\u064a\\u0641\\u064a\\u0629 \\u062c\\u0645\\u0639 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0642\\u062f\\u0645\\u0647\\u0627 \\u0644\\u0646\\u0627 \\u0648\\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645\\u0647\\u0627 \\u0648\\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646\\u0647\\u0627 \\u0648\\u062d\\u0645\\u0627\\u064a\\u062a\\u0647\\u0627 \\u0639\\u0646\\u062f \\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645 \\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627.**1. \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u062c\\u0645\\u0639\\u0647\\u0627:**<br>&nbsp;- \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u0634\\u062e\\u0635\\u064a\\u0629: \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0634\\u062e\\u0635\\u064a\\u0629 \\u0645\\u062b\\u0644 \\u0627\\u0633\\u0645\\u0643 \\u0648\\u0639\\u0646\\u0648\\u0627\\u0646 \\u0628\\u0631\\u064a\\u062f\\u0643 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0648\\u0631\\u0642\\u0645 \\u0647\\u0627\\u062a\\u0641\\u0643 \\u0648\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u0641\\u0648\\u0627\\u062a\\u064a\\u0631 \\u0639\\u0646\\u062f \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0644\\u0644\\u062d\\u0635\\u0648\\u0644 \\u0639\\u0644\\u0649 \\u062d\\u0633\\u0627\\u0628 \\u0623\\u0648 \\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645 \\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627.<br>&nbsp;- \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645: \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u062d\\u0648\\u0644 \\u0643\\u064a\\u0641\\u064a\\u0629 \\u062a\\u0641\\u0627\\u0639\\u0644\\u0643 \\u0645\\u0639 \\u0645\\u0646\\u0635\\u062a\\u0646\\u0627\\u060c \\u0628\\u0645\\u0627 \\u0641\\u064a \\u0630\\u0644\\u0643 \\u0633\\u062c\\u0644 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0648\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062c\\u0647\\u0627\\u0632 \\u0648\\u0639\\u0646\\u0648\\u0627\\u0646 IP.**2. \\u0643\\u064a\\u0641 \\u0646\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643:**<br>&nbsp;- \\u0644\\u062a\\u0642\\u062f\\u064a\\u0645 \\u0627\\u0644\\u062e\\u062f\\u0645\\u0627\\u062a: \\u0646\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0644\\u062a\\u0642\\u062f\\u064a\\u0645 \\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627 \\u0648\\u062a\\u062d\\u0633\\u064a\\u0646\\u0647\\u0627 \\u0648\\u0645\\u0639\\u0627\\u0644\\u062c\\u0629 \\u0627\\u0644\\u0645\\u0639\\u0627\\u0645\\u0644\\u0627\\u062a \\u0648\\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0627\\u0633\\u062a\\u0641\\u0633\\u0627\\u0631\\u0627\\u062a\\u0643.<br>&nbsp;- \\u0644\\u062a\\u062e\\u0635\\u064a\\u0635 \\u062a\\u062c\\u0631\\u0628\\u0629 \\u0627\\u0644\\u0645\\u0633\\u062a\\u062e\\u062f\\u0645: \\u0642\\u062f \\u0646\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0644\\u062a\\u062e\\u0635\\u064a\\u0635 \\u062a\\u062c\\u0631\\u0628\\u062a\\u0643\\u060c \\u0628\\u0645\\u0627 \\u0641\\u064a \\u0630\\u0644\\u0643 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0639\\u0631\\u0648\\u0636 \\u062a\\u0631\\u0648\\u064a\\u062c\\u064a\\u0629 \\u0648\\u062a\\u0648\\u0635\\u064a\\u0627\\u062a \\u0645\\u062e\\u0635\\u0635\\u0629.<br>&nbsp;- \\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0623\\u0645\\u0627\\u0646: \\u0646\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0644\\u0636\\u0645\\u0627\\u0646 \\u0623\\u0645\\u0627\\u0646 \\u0646\\u0638\\u0627\\u0645\\u0646\\u0627 \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u060c \\u0628\\u0645\\u0627 \\u0641\\u064a \\u0630\\u0644\\u0643 \\u0627\\u0643\\u062a\\u0634\\u0627\\u0641 \\u0627\\u0644\\u0623\\u0646\\u0634\\u0637\\u0629 \\u0627\\u0644\\u0627\\u062d\\u062a\\u064a\\u0627\\u0644\\u064a\\u0629 \\u0648\\u0645\\u0646\\u0639\\u0647\\u0627.**3. \\u0645\\u0634\\u0627\\u0631\\u0643\\u0629 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0648\\u0627\\u0644\\u0625\\u0641\\u0635\\u0627\\u062d \\u0639\\u0646\\u0647\\u0627:**<br>&nbsp;- \\u0645\\u0642\\u062f\\u0645\\u0648 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0637\\u0631\\u0641 \\u0627\\u0644\\u062b\\u0627\\u0644\\u062b: \\u0642\\u062f \\u0646\\u0634\\u0627\\u0631\\u0643 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0645\\u0639 \\u0645\\u0642\\u062f\\u0645\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0637\\u0631\\u0641 \\u0627\\u0644\\u062b\\u0627\\u0644\\u062b \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u062a\\u0642\\u062f\\u064a\\u0645 \\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627\\u060c \\u0645\\u062b\\u0644 \\u0645\\u0639\\u0627\\u0644\\u062c\\u064a \\u0627\\u0644\\u062f\\u0641\\u0639 \\u0648\\u0645\\u0642\\u062f\\u0645\\u064a \\u062f\\u0639\\u0645 \\u0627\\u0644\\u0639\\u0645\\u0644\\u0627\\u0621.<br>&nbsp;- \\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646\\u064a: \\u0642\\u062f \\u0646\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0644\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0644\\u0627\\u0644\\u062a\\u0632\\u0627\\u0645\\u0627\\u062a \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646\\u064a\\u0629 \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0633\\u064a\\u0627\\u0633\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062d\\u0642\\u0648\\u0642 \\u0623\\u0648 \\u0645\\u0644\\u0643\\u064a\\u0629 \\u0623\\u0648 \\u0633\\u0644\\u0627\\u0645\\u0629 Walletium \\u0623\\u0648 \\u0627\\u0644\\u0622\\u062e\\u0631\\u064a\\u0646.**4. \\u0623\\u0645\\u0646 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a:**<br>&nbsp;- \\u0646\\u062d\\u0646 \\u0646\\u0646\\u0641\\u0630 \\u0625\\u062c\\u0631\\u0627\\u0621\\u0627\\u062a \\u0623\\u0645\\u0646\\u064a\\u0629 \\u0645\\u062a\\u0648\\u0627\\u0641\\u0642\\u0629 \\u0645\\u0639 \\u0645\\u0639\\u0627\\u064a\\u064a\\u0631 \\u0627\\u0644\\u0635\\u0646\\u0627\\u0639\\u0629 \\u0644\\u062d\\u0645\\u0627\\u064a\\u0629 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0645\\u0646 \\u0627\\u0644\\u0648\\u0635\\u0648\\u0644 \\u063a\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0635\\u0631\\u062d \\u0628\\u0647 \\u0623\\u0648 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646\\u0647\\u0627 \\u0623\\u0648 \\u062a\\u063a\\u064a\\u064a\\u0631\\u0647\\u0627 \\u0623\\u0648 \\u0625\\u062a\\u0644\\u0627\\u0641\\u0647\\u0627.<br>&nbsp;- \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0631\\u063a\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u062c\\u0647\\u0648\\u062f \\u0627\\u0644\\u062a\\u064a \\u0646\\u0628\\u0630\\u0644\\u0647\\u0627\\u060c \\u0644\\u0627 \\u062a\\u0648\\u062c\\u062f \\u0625\\u062c\\u0631\\u0627\\u0621\\u0627\\u062a \\u0623\\u0645\\u0646\\u064a\\u0629 \\u0645\\u0636\\u0645\\u0648\\u0646\\u0629 \\u062a\\u0645\\u0627\\u0645\\u064b\\u0627\\u060c \\u0648\\u0644\\u0627 \\u064a\\u0645\\u0643\\u0646\\u0646\\u0627 \\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0623\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0645\\u0637\\u0644\\u0642 \\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643.**5. \\u0627\\u062e\\u062a\\u064a\\u0627\\u0631\\u0627\\u062a\\u0643 \\u0648\\u062d\\u0642\\u0648\\u0642\\u0643:**<br>&nbsp;- \\u0644\\u062f\\u064a\\u0643 \\u0627\\u0644\\u062d\\u0642 \\u0641\\u064a \\u0627\\u0644\\u0648\\u0635\\u0648\\u0644 \\u0625\\u0644\\u0649 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0627\\u0644\\u0634\\u062e\\u0635\\u064a\\u0629 \\u0623\\u0648 \\u062a\\u0635\\u062d\\u064a\\u062d\\u0647\\u0627 \\u0623\\u0648 \\u062d\\u0630\\u0641\\u0647\\u0627. \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0627\\u062e\\u062a\\u064a\\u0627\\u0631 \\u0625\\u0644\\u063a\\u0627\\u0621 \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0641\\u064a \\u0628\\u0639\\u0636 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644\\u0627\\u062a \\u0623\\u0648 \\u0627\\u0644\\u062e\\u062f\\u0645\\u0627\\u062a.<br>&nbsp;- \\u064a\\u0631\\u062c\\u0649 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0628\\u0646\\u0627 \\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0644\\u062f\\u064a\\u0643 \\u0623\\u064a\\u0629 \\u0623\\u0633\\u0626\\u0644\\u0629 \\u0623\\u0648 \\u0645\\u062e\\u0627\\u0648\\u0641 \\u0628\\u0634\\u0623\\u0646 \\u062d\\u0642\\u0648\\u0642 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0623\\u0648 \\u0643\\u064a\\u0641\\u064a\\u0629 \\u0627\\u0644\\u062a\\u0639\\u0627\\u0645\\u0644 \\u0645\\u0639 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643.**6. \\u062a\\u062d\\u062f\\u064a\\u062b\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647:**<br>&nbsp;- \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062d\\u062f\\u064a\\u062b \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0645\\u0646 \\u0648\\u0642\\u062a \\u0644\\u0622\\u062e\\u0631 \\u0644\\u062a\\u0639\\u0643\\u0633 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0645\\u0645\\u0627\\u0631\\u0633\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a\\u0646\\u0627 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646\\u064a\\u0629. \\u0633\\u0646\\u062e\\u0637\\u0631\\u0643 \\u0628\\u0623\\u064a \\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u062c\\u0648\\u0647\\u0631\\u064a\\u0629 \\u0641\\u064a \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0639\\u0646 \\u0637\\u0631\\u064a\\u0642 \\u0646\\u0634\\u0631 \\u0627\\u0644\\u0646\\u0633\\u062e\\u0629 \\u0627\\u0644\\u0645\\u062d\\u062f\\u062b\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0627\\u0644\\u0642\\u0646\\u0648\\u0627\\u062a \\u0627\\u0644\\u0645\\u0646\\u0627\\u0633\\u0628\\u0629 \\u0627\\u0644\\u0623\\u062e\\u0631\\u0649. \\u0628\\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645 Walletium\\u060c \\u0641\\u0625\\u0646\\u0643 \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0639\\u0644\\u0649 \\u062c\\u0645\\u0639 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643 \\u0648\\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645\\u0647\\u0627 \\u0648\\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646\\u0647\\u0627 \\u0643\\u0645\\u0627 \\u0647\\u0648 \\u0645\\u0648\\u0636\\u062d \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647. \\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0644\\u062f\\u064a\\u0643 \\u0623\\u064a \\u0623\\u0633\\u0626\\u0644\\u0629 \\u0623\\u0648 \\u0645\\u062e\\u0627\\u0648\\u0641 \\u0628\\u0634\\u0623\\u0646 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u0645\\u0645\\u0627\\u0631\\u0633\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627\\u060c \\u0641\\u064a\\u0631\\u062c\\u0649 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0628\\u0646\\u0627 \\u0639\\u0644\\u0649 [\\u0639\\u0646\\u0648\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u064a\\u062f \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a].<\\/p>"}}}','status' => '1','editable' => '0','created_at' => '2023-07-31 12:02:44','updated_at' => '2024-04-04 09:38:56'),
            array('id' => '2','type' => 'REFUND_POLICY','title' => '{"language":{"en":{"title":"Refund Policy"},"es":{"title":"Politica de reembolso"},"ar":{"title":"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062c\\u0627\\u0639"}}}','slug' => 'refund-policy','url' => 'refund-policy','content' => '{"language":{"en":{"content":"<h3 style=\\"margin-left:0px;\\"><strong>What information do we collect?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How do we protect your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won be put away on our workers.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Do we disclose any information to outside parties?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We don sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others rights, property, or wellbeing.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Childrens Online Privacy Protection Act Compliance<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We are consistent with the prerequisites of COPPA (Childrens Online Privacy Protection Act), we don gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Changes to our Privacy Policy<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How long we retain your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don not erase the record or withdraw yourself (subject to laws and guidelines).<\\/p>"},"es":{"content":"<p>\\u00bfQu\\u00e9 informaci\\u00f3n recopilamos?<\\/p><p>Recopilamos datos suyos cuando se registra en nuestro sitio, env\\u00eda una solicitud, compra alg\\u00fan servicio, reacciona a una descripci\\u00f3n general o completa una estructura. En el momento de solicitar asistencia o registrarse en nuestro sitio, seg\\u00fan corresponda, es posible que se le solicite que ingrese su: nombre, direcci\\u00f3n de correo electr\\u00f3nico o n\\u00famero de tel\\u00e9fono. No obstante, puede visitar nuestro sitio de forma an\\u00f3nima.<\\/p><p>\\u00bfC\\u00f3mo protegemos tu informaci\\u00f3n?<\\/p><p>Todos los datos delicados\\/cr\\u00e9ditos proporcionados se env\\u00edan a trav\\u00e9s de Stripe.<br>Despu\\u00e9s de un intercambio, sus datos privados (tarjetas de cr\\u00e9dito, n\\u00fameros de seguro social, finanzas, etc.) pasar\\u00e1n a nuestros trabajadores.<\\/p><p>\\u00bfRevelamos alguna informaci\\u00f3n a terceros?<\\/p><p>No vendemos, intercambiamos ni, en ning\\u00fan caso, nos trasladamos a reuniones externas mediante datos reconocibles. Esto excluye a personas externas de confianza que nos ayudan a trabajar en nuestro sitio, dirigir nuestro negocio o ajustarlo, ya que esas reuniones consienten en mantener estos datos privados. Asimismo, podremos entregar sus datos cuando aceptemos que la descarga es adecuada para cumplir con la ley, implementar las estrategias de nuestro sitio o garantizar nuestros derechos, propiedad o bienestar o los de otros.<\\/p><p>Cumplimiento de la Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea<\\/p><p>Somos consistentes con los requisitos previos de COPPA (Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea), no recopilamos datos de ninguna persona menor de 13 a\\u00f1os. Nuestro sitio, art\\u00edculos y servicios est\\u00e1n completamente adaptados a personas mayores de 13 a\\u00f1os o m\\u00e1s.<\\/p><p>Cambios en nuestra Pol\\u00edtica de Privacidad<\\/p><p>Si decidimos cambiar nuestra pol\\u00edtica de privacidad, publicaremos esos cambios en esta p\\u00e1gina.<\\/p><p>\\u00bfCu\\u00e1nto tiempo conservamos su informaci\\u00f3n?<\\/p><p>En el momento en que se registra en nuestro sitio, realizamos un ciclo y mantenemos la informaci\\u00f3n que tenemos sobre usted durante el tiempo que usted no borre el registro ni se retire (sujeto a leyes y pautas).<\\/p>"},"ar":{"content":"<p>\\u0645\\u0627 \\u0647\\u064a \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639\\u0647\\u0627\\u061f<\\/p><p>\\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u062a\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0637\\u0644\\u0628\\u060c \\u0623\\u0648 \\u0634\\u0631\\u0627\\u0621 \\u0623\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0646\\u0638\\u0631\\u0629 \\u0639\\u0627\\u0645\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0633\\u062a\\u0643\\u0645\\u0627\\u0644 \\u0627\\u0644\\u0647\\u064a\\u0643\\u0644. \\u0639\\u0646\\u062f \\u0637\\u0644\\u0628 \\u0623\\u064a \\u0645\\u0633\\u0627\\u0639\\u062f\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u062d\\u0633\\u0628 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0636\\u0627\\u0621\\u060c \\u0642\\u062f \\u064a\\u064f\\u0637\\u0644\\u0628 \\u0645\\u0646\\u0643 \\u0625\\u062f\\u062e\\u0627\\u0644: \\u0627\\u0644\\u0627\\u0633\\u0645 \\u0623\\u0648 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u064a\\u062f \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0631\\u0642\\u0645 \\u0627\\u0644\\u0647\\u0627\\u062a\\u0641. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643\\u060c \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0632\\u064a\\u0627\\u0631\\u0629 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u062f\\u0648\\u0646 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0647\\u0648\\u064a\\u062a\\u0643.<\\/p><p>\\u0643\\u064a\\u0641 \\u0646\\u062d\\u0645\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u064a\\u062a\\u0645 \\u0625\\u0631\\u0633\\u0627\\u0644 \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062d\\u0633\\u0627\\u0633\\u0629\\/\\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0642\\u062f\\u0645\\u0629 \\u0639\\u0628\\u0631 Stripe.<br>\\u0628\\u0639\\u062f \\u0627\\u0644\\u062a\\u0628\\u0627\\u062f\\u0644\\u060c \\u0633\\u064a\\u062a\\u0645 \\u0648\\u0636\\u0639 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 (\\u0628\\u0637\\u0627\\u0642\\u0627\\u062a \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u060c \\u0648\\u0623\\u0631\\u0642\\u0627\\u0645 \\u0627\\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\\u060c \\u0648\\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629\\u060c \\u0648\\u0645\\u0627 \\u0625\\u0644\\u0649 \\u0630\\u0644\\u0643) \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0645\\u0648\\u0638\\u0641\\u064a\\u0646\\u0627.<\\/p><p>\\u0647\\u0644 \\u0646\\u0641\\u0635\\u062d \\u0639\\u0646 \\u0623\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0644\\u0644\\u0623\\u0637\\u0631\\u0627\\u0641 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629\\u061f<\\/p><p>\\u0646\\u062d\\u0646 \\u0644\\u0627 \\u0646\\u0628\\u064a\\u0639 \\u0623\\u0648 \\u0646\\u062a\\u0628\\u0627\\u062f\\u0644 \\u0623\\u0648 \\u0646\\u0646\\u062a\\u0642\\u0644 \\u0639\\u0644\\u0649 \\u0623\\u064a \\u062d\\u0627\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0645\\u0639\\u0631\\u0648\\u0641\\u0629. \\u0648\\u0647\\u0630\\u0627 \\u0644\\u0627 \\u064a\\u0634\\u0645\\u0644 \\u0627\\u0644\\u0623\\u0634\\u062e\\u0627\\u0635 \\u0627\\u0644\\u0645\\u0648\\u062b\\u0648\\u0642 \\u0628\\u0647\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u062a\\u0634\\u063a\\u064a\\u0644 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u0642\\u064a\\u0627\\u062f\\u0629 \\u0623\\u0639\\u0645\\u0627\\u0644\\u0646\\u0627\\u060c \\u0623\\u0648 \\u062a\\u0639\\u062f\\u064a\\u0644\\u0643\\u060c \\u062d\\u064a\\u062b \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062c\\u0645\\u0648\\u0639\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0627\\u0644\\u062d\\u0641\\u0627\\u0638 \\u0639\\u0644\\u0649 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a. \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0628\\u062a\\u0633\\u0644\\u064a\\u0645 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u0646\\u0642\\u0628\\u0644 \\u0623\\u0646 \\u0627\\u0644\\u062a\\u0641\\u0631\\u064a\\u063a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0644\\u0627\\u062a\\u0628\\u0627\\u0639 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646\\u060c \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0625\\u0633\\u062a\\u0631\\u0627\\u062a\\u064a\\u062c\\u064a\\u0627\\u062a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u0636\\u0645\\u0627\\u0646 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u0645\\u062a\\u0644\\u0643\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0631\\u0641\\u0627\\u0647\\u064a\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0642\\u0648\\u0642 \\u0627\\u0644\\u0622\\u062e\\u0631\\u064a\\u0646.<\\/p><p>\\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a<\\/p><p>\\u0646\\u062d\\u0646 \\u0646\\u0644\\u062a\\u0632\\u0645 \\u0628\\u0627\\u0644\\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u0629 \\u0644\\u0640 COPPA (\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a)\\u060c \\u0648\\u0644\\u0627 \\u0646\\u062c\\u0645\\u0639 \\u0623\\u064a \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646 \\u0623\\u064a \\u0634\\u062e\\u0635 \\u064a\\u0642\\u0644 \\u0639\\u0645\\u0631\\u0647 \\u0639\\u0646 13 \\u0639\\u0627\\u0645\\u064b\\u0627. \\u0625\\u0646 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0648\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a\\u0646\\u0627 \\u0648\\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627 \\u0645\\u062e\\u0635\\u0635\\u0629 \\u0628\\u0627\\u0644\\u0643\\u0627\\u0645\\u0644 \\u0644\\u0644\\u0623\\u0634\\u062e\\u0627\\u0635 \\u0627\\u0644\\u0630\\u064a\\u0646 \\u062a\\u0628\\u0644\\u063a \\u0623\\u0639\\u0645\\u0627\\u0631\\u0647\\u0645 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0623\\u0642\\u0644 13 \\u0639\\u0627\\u0645\\u064b\\u0627 \\u0623\\u0648 \\u0623\\u0643\\u062b\\u0631.<\\/p><p>\\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627<\\/p><p>\\u0625\\u0630\\u0627 \\u0642\\u0631\\u0631\\u0646\\u0627 \\u062a\\u063a\\u064a\\u064a\\u0631 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627\\u060c \\u0641\\u0633\\u0646\\u0642\\u0648\\u0645 \\u0628\\u0646\\u0634\\u0631 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0635\\u0641\\u062d\\u0629.<\\/p><p>\\u0625\\u0644\\u0649 \\u0645\\u062a\\u0649 \\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u0639\\u0646\\u062f \\u0642\\u064a\\u0627\\u0645\\u0643 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062f\\u0648\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0639\\u0646\\u0643 \\u0648\\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0647\\u0627 \\u0637\\u0627\\u0644\\u0645\\u0627 \\u0644\\u0645 \\u062a\\u0642\\u0645 \\u0628\\u0645\\u0633\\u062d \\u0627\\u0644\\u0633\\u062c\\u0644 \\u0623\\u0648 \\u0633\\u062d\\u0628\\u0647 \\u0628\\u0646\\u0641\\u0633\\u0643 (\\u0645\\u0639 \\u0645\\u0631\\u0627\\u0639\\u0627\\u0629 \\u0627\\u0644\\u0642\\u0648\\u0627\\u0646\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0625\\u0631\\u0634\\u0627\\u062f\\u0627\\u062a).<\\/p>"}}}','status' => '1','editable' => '1','created_at' => '2023-08-10 20:19:01','updated_at' => '2024-04-04 09:40:08'),
            array('id' => '3','type' => 'TERMS_CONDITION','title' => '{"language":{"en":{"title":"Terms Condition"},"es":{"title":"T\\u00e9rminos y Condiciones"},"ar":{"title":"\\u0634\\u0631\\u0648\\u0637 \\u0627\\u0644\\u0634\\u0631\\u0637"}}}','slug' => 'terms-condition','url' => 'terms-condition','content' => '{"language":{"en":{"content":"<h3 style=\\"margin-left:0px;\\"><strong>What information do we collect?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How do we protect your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won be put away on our workers.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Do we disclose any information to outside parties?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We don sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others rights, property, or wellbeing.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Childrens Online Privacy Protection Act Compliance<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We are consistent with the prerequisites of COPPA (Childrens Online Privacy Protection Act), we don gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Changes to our Privacy Policy<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How long we retain your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don not erase the record or withdraw yourself (subject to laws and guidelines).<\\/p>"},"es":{"content":"<p>\\u00bfQu\\u00e9 informaci\\u00f3n recopilamos?<\\/p><p>Recopilamos datos suyos cuando se registra en nuestro sitio, env\\u00eda una solicitud, compra alg\\u00fan servicio, reacciona a una descripci\\u00f3n general o completa una estructura. En el momento de solicitar asistencia o registrarse en nuestro sitio, seg\\u00fan corresponda, es posible que se le solicite que ingrese su: nombre, direcci\\u00f3n de correo electr\\u00f3nico o n\\u00famero de tel\\u00e9fono. No obstante, puede visitar nuestro sitio de forma an\\u00f3nima.<\\/p><p>\\u00bfC\\u00f3mo protegemos tu informaci\\u00f3n?<\\/p><p>Todos los datos delicados\\/cr\\u00e9ditos proporcionados se env\\u00edan a trav\\u00e9s de Stripe.<br>Despu\\u00e9s de un intercambio, sus datos privados (tarjetas de cr\\u00e9dito, n\\u00fameros de seguro social, finanzas, etc.) pasar\\u00e1n a nuestros trabajadores.<\\/p><p>\\u00bfRevelamos alguna informaci\\u00f3n a terceros?<\\/p><p>No vendemos, intercambiamos ni, en ning\\u00fan caso, nos trasladamos a reuniones externas mediante datos reconocibles. Esto excluye a personas externas de confianza que nos ayudan a trabajar en nuestro sitio, dirigir nuestro negocio o ajustarlo, ya que esas reuniones consienten en mantener estos datos privados. Asimismo, podremos entregar sus datos cuando aceptemos que la descarga es adecuada para cumplir con la ley, implementar las estrategias de nuestro sitio o garantizar nuestros derechos, propiedad o bienestar o los de otros.<\\/p><p>Cumplimiento de la Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea<\\/p><p>Somos consistentes con los requisitos previos de COPPA (Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea), no recopilamos datos de ninguna persona menor de 13 a\\u00f1os. Nuestro sitio, art\\u00edculos y servicios est\\u00e1n completamente adaptados a personas mayores de 13 a\\u00f1os o m\\u00e1s.<\\/p><p>Cambios en nuestra Pol\\u00edtica de Privacidad<\\/p><p>Si decidimos cambiar nuestra pol\\u00edtica de privacidad, publicaremos esos cambios en esta p\\u00e1gina.<\\/p><p>\\u00bfCu\\u00e1nto tiempo conservamos su informaci\\u00f3n?<\\/p><p>En el momento en que se registra en nuestro sitio, realizamos un ciclo y mantenemos la informaci\\u00f3n que tenemos sobre usted durante el tiempo que usted no borre el registro ni se retire (sujeto a leyes y pautas).<\\/p>"},"ar":{"content":"<p>\\u0645\\u0627 \\u0647\\u064a \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639\\u0647\\u0627\\u061f<\\/p><p>\\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u062a\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0637\\u0644\\u0628\\u060c \\u0623\\u0648 \\u0634\\u0631\\u0627\\u0621 \\u0623\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0646\\u0638\\u0631\\u0629 \\u0639\\u0627\\u0645\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0633\\u062a\\u0643\\u0645\\u0627\\u0644 \\u0627\\u0644\\u0647\\u064a\\u0643\\u0644. \\u0639\\u0646\\u062f \\u0637\\u0644\\u0628 \\u0623\\u064a \\u0645\\u0633\\u0627\\u0639\\u062f\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u062d\\u0633\\u0628 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0636\\u0627\\u0621\\u060c \\u0642\\u062f \\u064a\\u064f\\u0637\\u0644\\u0628 \\u0645\\u0646\\u0643 \\u0625\\u062f\\u062e\\u0627\\u0644: \\u0627\\u0644\\u0627\\u0633\\u0645 \\u0623\\u0648 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0627\\u0644\\u0628\\u0631\\u064a\\u062f \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0631\\u0642\\u0645 \\u0627\\u0644\\u0647\\u0627\\u062a\\u0641. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643\\u060c \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0632\\u064a\\u0627\\u0631\\u0629 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u062f\\u0648\\u0646 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0647\\u0648\\u064a\\u062a\\u0643.<\\/p><p>\\u0643\\u064a\\u0641 \\u0646\\u062d\\u0645\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u064a\\u062a\\u0645 \\u0625\\u0631\\u0633\\u0627\\u0644 \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062d\\u0633\\u0627\\u0633\\u0629\\/\\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0642\\u062f\\u0645\\u0629 \\u0639\\u0628\\u0631 Stripe.<br>\\u0628\\u0639\\u062f \\u0627\\u0644\\u062a\\u0628\\u0627\\u062f\\u0644\\u060c \\u0633\\u064a\\u062a\\u0645 \\u0648\\u0636\\u0639 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 (\\u0628\\u0637\\u0627\\u0642\\u0627\\u062a \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u060c \\u0648\\u0623\\u0631\\u0642\\u0627\\u0645 \\u0627\\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\\u060c \\u0648\\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629\\u060c \\u0648\\u0645\\u0627 \\u0625\\u0644\\u0649 \\u0630\\u0644\\u0643) \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0645\\u0648\\u0638\\u0641\\u064a\\u0646\\u0627.<\\/p><p>\\u0647\\u0644 \\u0646\\u0641\\u0635\\u062d \\u0639\\u0646 \\u0623\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0644\\u0644\\u0623\\u0637\\u0631\\u0627\\u0641 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629\\u061f<\\/p><p>\\u0646\\u062d\\u0646 \\u0644\\u0627 \\u0646\\u0628\\u064a\\u0639 \\u0623\\u0648 \\u0646\\u062a\\u0628\\u0627\\u062f\\u0644 \\u0623\\u0648 \\u0646\\u0646\\u062a\\u0642\\u0644 \\u0639\\u0644\\u0649 \\u0623\\u064a \\u062d\\u0627\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0645\\u0639\\u0631\\u0648\\u0641\\u0629. \\u0648\\u0647\\u0630\\u0627 \\u0644\\u0627 \\u064a\\u0634\\u0645\\u0644 \\u0627\\u0644\\u0623\\u0634\\u062e\\u0627\\u0635 \\u0627\\u0644\\u0645\\u0648\\u062b\\u0648\\u0642 \\u0628\\u0647\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u062a\\u0634\\u063a\\u064a\\u0644 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u0642\\u064a\\u0627\\u062f\\u0629 \\u0623\\u0639\\u0645\\u0627\\u0644\\u0646\\u0627\\u060c \\u0623\\u0648 \\u062a\\u0639\\u062f\\u064a\\u0644\\u0643\\u060c \\u062d\\u064a\\u062b \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062c\\u0645\\u0648\\u0639\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0627\\u0644\\u062d\\u0641\\u0627\\u0638 \\u0639\\u0644\\u0649 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a. \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0628\\u062a\\u0633\\u0644\\u064a\\u0645 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u0646\\u0642\\u0628\\u0644 \\u0623\\u0646 \\u0627\\u0644\\u062a\\u0641\\u0631\\u064a\\u063a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0644\\u0627\\u062a\\u0628\\u0627\\u0639 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646\\u060c \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0625\\u0633\\u062a\\u0631\\u0627\\u062a\\u064a\\u062c\\u064a\\u0627\\u062a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0623\\u0648 \\u0636\\u0645\\u0627\\u0646 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u0645\\u062a\\u0644\\u0643\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0631\\u0641\\u0627\\u0647\\u064a\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0642\\u0648\\u0642 \\u0627\\u0644\\u0622\\u062e\\u0631\\u064a\\u0646.<\\/p><p>\\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a<\\/p><p>\\u0646\\u062d\\u0646 \\u0646\\u0644\\u062a\\u0632\\u0645 \\u0628\\u0627\\u0644\\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u0629 \\u0644\\u0640 COPPA (\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a)\\u060c \\u0648\\u0644\\u0627 \\u0646\\u062c\\u0645\\u0639 \\u0623\\u064a \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646 \\u0623\\u064a \\u0634\\u062e\\u0635 \\u064a\\u0642\\u0644 \\u0639\\u0645\\u0631\\u0647 \\u0639\\u0646 13 \\u0639\\u0627\\u0645\\u064b\\u0627. \\u0625\\u0646 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0648\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a\\u0646\\u0627 \\u0648\\u062e\\u062f\\u0645\\u0627\\u062a\\u0646\\u0627 \\u0645\\u062e\\u0635\\u0635\\u0629 \\u0628\\u0627\\u0644\\u0643\\u0627\\u0645\\u0644 \\u0644\\u0644\\u0623\\u0634\\u062e\\u0627\\u0635 \\u0627\\u0644\\u0630\\u064a\\u0646 \\u062a\\u0628\\u0644\\u063a \\u0623\\u0639\\u0645\\u0627\\u0631\\u0647\\u0645 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0623\\u0642\\u0644 13 \\u0639\\u0627\\u0645\\u064b\\u0627 \\u0623\\u0648 \\u0623\\u0643\\u062b\\u0631.<\\/p><p>\\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627<\\/p><p>\\u0625\\u0630\\u0627 \\u0642\\u0631\\u0631\\u0646\\u0627 \\u062a\\u063a\\u064a\\u064a\\u0631 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627\\u060c \\u0641\\u0633\\u0646\\u0642\\u0648\\u0645 \\u0628\\u0646\\u0634\\u0631 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0635\\u0641\\u062d\\u0629.<\\/p><p>\\u0625\\u0644\\u0649 \\u0645\\u062a\\u0649 \\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u0639\\u0646\\u062f \\u0642\\u064a\\u0627\\u0645\\u0643 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\u060c \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062f\\u0648\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0639\\u0646\\u0643 \\u0648\\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0647\\u0627 \\u0637\\u0627\\u0644\\u0645\\u0627 \\u0644\\u0645 \\u062a\\u0642\\u0645 \\u0628\\u0645\\u0633\\u062d \\u0627\\u0644\\u0633\\u062c\\u0644 \\u0623\\u0648 \\u0633\\u062d\\u0628\\u0647 \\u0628\\u0646\\u0641\\u0633\\u0643 (\\u0645\\u0639 \\u0645\\u0631\\u0627\\u0639\\u0627\\u0629 \\u0627\\u0644\\u0642\\u0648\\u0627\\u0646\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0625\\u0631\\u0634\\u0627\\u062f\\u0627\\u062a).<\\/p>"}}}','status' => '1','editable' => '1','created_at' => '2023-12-26 05:04:46','updated_at' => '2024-04-04 09:40:59')
          );

        UsefulLink::insert($useful_links);
    }
}
